#
# spec file for package gdm (Version 2.2.4.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile esound esound-devel gdk-pixbuf gdk-pixbuf-devel glib glib-devel gnome-libs gnome-libs-devel gtk gtk-devel imlib imlib-devel libglade libglade-devel libjpeg libpng libtiff libungif libxml libxml-devel orbit orbit-devel scrollkeeper xf86 xpm
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gdk-pixbuf gdk-pixbuf-devel gettext glib glib-devel glibc glibc-devel gnome-libs gnome-libs-devel gpm gppshare grep groff gtk gtk-devel gzip imlib imlib-devel kbd less libglade libglade-devel libjpeg libpng libtiff libtool libungif libxml libxml-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg orbit orbit-devel pam pam-devel patch perl ps rcs readline rpm scrollkeeper sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         gdm
%define prefix /opt/gnome
Copyright:    GPL 
Group:        X11/GNOME/Base 
Provides:     gdm
Requires:     xf86 gnome-core
Autoreqprov:  on
Version:      2.2.4.1
Release:      68
Summary:      Gnome Display Manager
URL:          http://www.socsci.auc.dk/~mkp/gdm/
Source:       ftp://ftp.gnome.org/pub/GNOME/sources/gdm/gdm-%{version}.tar.bz2
Source1:      gdm.pamd
Source2:      README.SuSE
Patch0:       gdm-2.0beta4.dif
Patch1:       gdm.conf.dif
Patch2:       gdm-config.dif
Patch3:       session-links.dif
Patch4:	      xvt7.dif
Patch5:       gdm-default-session.dif
Patch6:       gdm-icons.dif
BuildRoot:    /var/tmp/%{name}-%{version}-root

%description
The Gnome Display Manager is a re-implementation of the well known
xdm program. gdm, however, consists of two separate parts:
A small daemon and a graphical login program -- gdmgreeter.
The gdm daemon features:
o X Authentication
o Default and per-display initialization scripts
o Pre and post session scripts
o Pluggable Authentication Modules
o XDMCP
The gdmgreeter supports:
o Logo image (in any GdkImlib supported format)
o A face browser like the one on NeXT/SGI
o Tab-completion (no, doesn't work on passwords)
o Halt, reboot and laptop suspend
o Iconified login window (i.e. for xfishtank)
o Session selection support (Package manager friendly)
o Language selection support

Authors:
--------
    Martin Kasper Petersen <mkp@SunSITE.auc.dk>

SuSE series: gnm

%prep
%setup 
cp -v %{SOURCE2} .
%patch0
%patch1
%patch2
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
DIR=$(find . -name configure -printf "%h ")
%{?suse_update_config:%{suse_update_config -fl $DIR}}
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{prefix} \
	    --localstatedir=/var/lib \
	    --sysconfdir=/etc%{prefix} \
	    --disable-debug
make -s

%install
make prefix=$RPM_BUILD_ROOT%{prefix} \
     localstatedir=$RPM_BUILD_ROOT/var/lib \
     sysconfdir=$RPM_BUILD_ROOT/etc%{prefix} install
mkdir -p $RPM_BUILD_ROOT/sbin/conf.d
install -c -m 755 -o root -g root SuSEconfig.gdm $RPM_BUILD_ROOT/sbin/conf.d/
DEST=$RPM_BUILD_ROOT/etc/%{prefix}/gdm
# Hm, this definitely needs to be fixed....
# *** we do not need special Gnome script - it will be created
#     by SuSEconfig.gdm using wmlist from xf86 package
rm -f  $RPM_BUILD_ROOT/etc%{prefix}/gdm/gnomerc
rm -f  $RPM_BUILD_ROOT/etc%{prefix}/gdm/Sessions/Gnome
mv -f  $DEST/Sessions/Xsession               $DEST/Sessions/Default
ln -sf Default                               $DEST/Sessions/failsafe
install -c -m 755 config/Init_Default        $DEST/Init/Default
install -c -m 755 config/PreSession_Default  $DEST/PreSession/Default
install -c -m 755 config/PostSession_Default $DEST/PostSession/Default
install -d -m 755 $RPM_BUILD_ROOT/etc/pam.d
install -c -m 644 $RPM_SOURCE_DIR/gdm.pamd   $RPM_BUILD_ROOT/etc/pam.d/gdm

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%doc AUTHORS COPYING ChangeLog ABOUT-NLS
%doc NEWS README README.install TODO README.SuSE
%dir /var/lib/gdm
%dir /etc%{prefix}/gdm
%dir /etc%{prefix}/gdm/Init
%dir /etc%{prefix}/gdm/Sessions
%dir /etc%{prefix}/gdm/PreSession
%dir /etc%{prefix}/gdm/PostSession
%config /etc/pam.d/gdm
%config(noreplace) /etc%{prefix}/gdm/*.conf
%config /etc%{prefix}/gdm/locale.alias
%config /etc%{prefix}/gdm/Sessions/Default
%config /etc%{prefix}/gdm/Sessions/failsafe
%config /etc%{prefix}/gdm/Init/Default
%config /etc%{prefix}/gdm/PreSession/Default
%config /etc%{prefix}/gdm/PostSession/Default
%config /etc%{prefix}/gdm/XKeepsCrashing
/sbin/conf.d/SuSEconfig.gdm
%{prefix}/bin/*
%{prefix}/sbin/*
%{prefix}/share/gdm
%{prefix}/share/gnome/apps/*/*
%{prefix}/share/gnome/help/*
%{prefix}/share/locale/*/*/*
%{prefix}/share/pixmaps/*
%{prefix}/share/omf/gdm/gdmconfig-C.omf

%changelog -n gdm
* Mon Sep 24 2001 - hhetter@suse.de
- Changed gdm-photoconfiguration.desktop to show an icon
  (closes Bug Id #11169)
* Thu Sep 20 2001 - hhetter@suse.de
- Added a README.SuSE file about usage with .xinitrc
* Tue Sep 04 2001 - egger@suse.de
- Misc default config changes.
* Tue Sep 04 2001 - egger@suse.de
- Updated to version 2.2.4.1. Fixes Xnest and XDCMP issues.
- Adjusted xvt7 patch to slightly changed config file.
- Added missing files to filelist.
* Fri Aug 24 2001 - ro@suse.de
- removed /lib/security path from pam.d config file
* Tue Aug 14 2001 - hhetter@suse.de
- updated to version 2.2.3.2
* Wed Jul 11 2001 - hhetter@suse.de
- updated to version 2.2.3.1
- added noreplace tag to gdm.conf to enable updates
* Sat Jul 07 2001 - egger@suse.de
- Updated to version 2.2.3.
* Mon Apr 30 2001 - hhetter@suse.de
- use gnome session as default if a new user doesn't
  choose a session
* Wed Apr 25 2001 - hhetter@suse.de
- always start X server on vt7 (Fixes bug #7114)
* Thu Apr 05 2001 - hhetter@suse.de
- re-applied patch to enable symbolic links
  for sessions
- use symlinks again
- parse and change gdm.conf file for group=shadow
* Wed Apr 04 2001 - hhetter@suse.de
- fixed session definitions
- fixed group definitions for gdm user
* Wed Mar 21 2001 - ro@suse.de
- added esound-devel to neededforbuild
* Tue Mar 13 2001 - egger@suse.de
- Updated to version 2.2.0.
- Misc. specfile fixes and cleanups.
* Tue Mar 13 2001 - ro@suse.de
- typo fix $DESTDIR) to $(DESTDIR)
* Fri Mar 02 2001 - egger@suse.de
- Updated to version 2.0.99.
* Tue Feb 13 2001 - sf@suse.de
- added suse_update_config
* Mon Jan 22 2001 - violiet@suse.de
- added simply cjk-font.patch to gdm login message to be a readable
  in Japanese and Korean language.
- fixed gdm korean login message.
- fixed something wrong korean message file.
* Sat Jan 13 2001 - mfabian@suse.de
- At least for Japanese and Korean my previous fix for the
  setlocale problem was not enough. It is not enough to
  convert the first letter to lower case. If LANG is set to
  "japanese" or "korean", many programs don't work correctly,
  although these are valid locale aliases according to
  /usr/share/locale/locale.alias. Not even a Gnome session
  starts correctly with LANG="korean", it displays only garbage
  instead of Korean characters in that case.
  Better replace "japanese" and "korean" with "ja_JP" and
  "ko_KR" respectively, these values work reliably.
* Tue Dec 12 2000 - egger@suse.de
- Activate halt/suspend menu.
* Tue Nov 21 2000 - mfabian@suse.de
- gdm did always set LANG to the full language name starting with
  an upper case letter, for example "LANG=Japanese". This is
  wrong, as "Japanese" is not among the aliases in
  /usr/share/locale/locale.alias. This will cause problems for
  applications started later, because the setlocale call
  will fail with this value of LANG. As a quick fix I just
  converted the first letter of the string returned
  from the selection in the gdm language menu to lower case.
  All languages currently selectable from the gdm login menu are
  valid locale aliases if the first letter is converted
  to lower case.
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Fri Jul 21 2000 - mfabian@suse.de
- added i18n patch to make gdm display Japanese
* Thu Jul 20 2000 - werner@suse.de
- Make LANGUAGE setting within gdmlogin window working (bug #3558)
- Make Default script working even if on the first gdm session
  (last part of bug #3470)
* Mon Jul 10 2000 - werner@suse.de
- Fix bug: readlink is able to return -1 on error
* Fri Jul 07 2000 - werner@suse.de
- Allow default session script to be a regular file
* Thu Jul 06 2000 - werner@suse.de
- Allow session scripts to be symbolic links
* Tue Jul 04 2000 - werner@suse.de
- Fix some broken scripts
- Make sure that first X server starts on vt07
* Fri Jun 09 2000 - werner@suse.de
- Make gdm configuration compatible with new and old xdm configuration
- Use Default scripts only
- Replace Session scripts by links to Default Session script
  using argument 0 to identify window manager.
* Wed May 24 2000 - mt@suse.de
- configuration fixes
* Thu May 11 2000 - mt@suse.de
- added XDMCP buffer overflow fix from vendor-sec
* Mon Feb 28 2000 - kukuk@suse.de
- Use suse-logo [Bug 2083]
* Thu Feb 03 2000 - ro@suse.de
- install :0 files to avoid errors from pre/post
* Mon Jan 31 2000 - kukuk@suse.de
- Update to 2.0beta4
- fix spec file
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Sat Jun 26 1999 - kukuk@suse.de
- Remove duplicated variable for PAM
- adjust gdm.pamd
* Thu Jun 10 1999 - kukuk@suse.de
- add pam to needforbuild
- add gdm.pamd configuration file
* Mon Apr 19 1999 - mt@suse.de
- added chown/mod to gdm:shadow/750 for /var/lib/gdm
* Mon Apr 12 1999 - mt@suse.de
- added gdm:shadow useradd in %%post
* Mon Apr 05 1999 - bs@suse.de
- fixed date strings in .changes.
- fixed date strings in .changes.
* Fri Mar 19 1999 - mt@suse.de
- added Init, Pre- and Post-Script wrappers
- modified shadow-support (account locks with * or !)
- needs to be gdm:shadow and have writable /var/lib/gdm
  for gdm:shadow (0750)
* Fri Mar 12 1999 - mt@suse.de
- new version 1.0.0
* Fri Feb 19 1999 - ro@suse.de
- adapted neededforbuild
* Fri Feb 19 1999 - mt@suse.de
- new package, version 0.7.9
